#/bin/bash

set +e
if [ -r /var/tmp/hostscoped.log ] ; then
  touch /var/tmp/hostscoped.log 
  if  [ $? -ne 0 ] ; then
    echo "ERROR: Can not write to the file /var/tmp/hostscoped.log - is hostscope already started by another user?"
    ps -ef | grep -v grep | grep hostscope
    echo "Press return to continue"
    read USER_INPUT
    exit 5
  fi
fi
$( dirname $0 )/../bin/hostscope $*
if [ $? -ne 0 ] ; then
  echo "Error executing hostscope. Press return to continue"
  read USER_INPUT
fi

